import { TemplateCompileOptions } from '@vue/component-compiler-utils/lib/compileTemplate';
import { VuePluginOptions } from 'rollup-plugin-vue';
export interface VueViteOptions {
    /**
     * The options for `@vue/component-compiler-utils`.
     */
    vueTemplateOptions?: TemplateCompileOptions;
    /**
     * The options for `rollup-plugin-vue`.
     */
    rollupPluginVueOptions?: VuePluginOptions;
    /**
     * The options for jsx transform
     * @default false
     */
    jsx?: boolean;
}
export declare function createVuePlugin(options?: VueViteOptions): {
    resolvers: import("vite").Resolver[];
    transforms: import("vite").Transform[];
    enableEsbuild: boolean;
    configureServer: import("vite").ServerPlugin;
    enableRollupPluginVue: boolean;
    rollupInputOptions: {
        plugins: any[];
    };
};
