"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createVuePlugin = void 0;
const resolver_1 = require("./resolver");
const serverPlugin_1 = require("./serverPlugin");
const jsxTransform_1 = require("./jsxTransform");
function createVuePlugin(options = {}) {
    const { vueTemplateOptions, rollupPluginVueOptions, jsx } = options;
    if (vueTemplateOptions) {
        serverPlugin_1.setVueCompilerOptions(vueTemplateOptions);
    }
    return {
        resolvers: [resolver_1.resolver],
        transforms: [jsxTransform_1.jsxTransform],
        // if set truly `jsx` option, should disabled esbuild
        enableEsbuild: !jsx,
        configureServer: serverPlugin_1.vuePlugin,
        enableRollupPluginVue: false,
        rollupInputOptions: {
            plugins: [
                require('rollup-plugin-vue')({
                    ...rollupPluginVueOptions,
                    compiler: vueTemplateOptions && vueTemplateOptions.compiler,
                }),
            ],
        },
    };
}
exports.createVuePlugin = createVuePlugin;
//# sourceMappingURL=index.js.map